[packages/lighttpd] branch: exit if no upstream changes

glen glen at pld-linux.org
Sun Oct 16 18:37:09 CEST 2016


commit b9c01e290304137ccee38715c319856993ae2653
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Sun Oct 16 19:36:46 2016 +0300

    branch: exit if no upstream changes

 branch.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)
---
diff --git a/branch.sh b/branch.sh
index 669da04..643a619 100755
--- a/branch.sh
+++ b/branch.sh
@@ -3,7 +3,7 @@ set -e
 svn=svn://svn.lighttpd.net/lighttpd
 url=https://git.lighttpd.net/lighttpd/lighttpd1.4.git
 package=lighttpd
-tag=lighttpd-1.4.41
+tag=lighttpd-1.4.42
 branch=master
 out=$package-branch.diff
 repo=$package.git
@@ -41,6 +41,12 @@ cd $repo
 	git log -p --reverse $tag..$branch | filter > ../$out.tmp
 cd ..
 
+if ! test -s $out.tmp; then
+	echo >&2 "No diffs..."
+	rm -f $out.tmp
+	exit 0
+fi
+
 if cmp -s $out{,.tmp}; then
 	echo >&2 "No new diffs..."
 	rm -f $out.tmp
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/lighttpd.git/commitdiff/b9c01e290304137ccee38715c319856993ae2653



More information about the pld-cvs-commit mailing list